module.exports = {
  create: {
    requestBody: ["!project", "type", "title",'route','pid', "disabled",'sort', "params"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!project", "type", "title",'route','pid', "disabled",'sort', "params"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        project: "project",
        type: "type",
        title: "title",
        route:'route',
        pid:'pid',
        disabled: "disabled",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort"],
      desc: true,
      count: true,
    },
  },
  findProject: {
    parameters: {
      params: ["!project"],
      query: ["type"],
    },

    service: "findProject",
  },
};
