'use strict';

module.exports = () => {
  const config = (exports = {});

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };
  // 服务器发布路径
  config.baseUrl = 'http://jytz.jilinjobs.cn';


  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/train',
    options: {
      user: 'admin',
      pass: 'admin', // jljyzx-wwqcgh
      authSource: 'admin',
      useUnifiedTopology: true,
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'train',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456', // jljyzx-wwqcgh
      db: 0,
    },
  };

  return config;
};
